<?php echo $this->validation()->messages() ?>
<h1><?php echo $title ?></h1>
<form action="" method="post">
  <table class="grid" width="400">
    <tr>
      <td><label for="username"><?php echo __('Username')?>*:</label></td>
      <td><input name="username" type="text" id="username" value="<?=View::escape($user->username)?>" size="40" /></td>
    </tr>
    <tr>
      <td><label for="email"><?php echo __('Email')?>*:</label></td>
      <td><input name="email" type="text" id="email" value="<?=View::escape($user->email)?>" size="40" /></td>
    </tr>
    <tr>
      <td><label for="web"><?php echo __('Website')?>:</label></td>
      <td><input name="web" type="text" id="web" value="<?=View::escape($user->web)?>" size="40" /></td>
    </tr>
    <tr>
      <td><label for="level"><?php echo __('Permission')?>:</label></td>
      <td>
      <select name="level" id="level">
      <?php 
      for($i=0;$i<4;$i++)
      {
      	if($user->level==$i)
      	{
      		$sel = 'selected="selected"';
      	}
      	else
      	{
      		$sel = '';
      	}
      	echo '<option value="'.$i.'" '.$sel.'>'.User::getLevel($i).'</option>';
      }
      ?>
        </select>
      </td>
    </tr>
    <tr>
      <td><label for="password"><?php echo ( $add?__('Password'):__('New Password (leave blank if not changing)'))?>:</label></td>
      <td><input name="password" type="password" id="password" value="" size="40" /></td>
    </tr>
    <tr>
      <td><label for="password_repeat"><?php echo ($add? __('Password Repeat'):__('New Password Repeat'))?>:</label></td>
      <td><input name="password_repeat" type="password" id="password_repeat" value="" size="40" /></td>
    </tr>
    <tr>
      <td></td>
      <td><input type="submit" name="submit" id="submit" value="<?php echo __('Submit')?>" />
      <input type="hidden" name="id" id="id" value="<?=$user->id?>"  />
         &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="<?=get_url('admin/users/')?>" class="cancel"><?php echo __('cancel')?></a></td>
    </tr>
  </table>
</form>