<?php 
/* setup dev user by ip. good to test on live server */
$arr_myip = array('78.38.241.7','127.0.0.1','78.38.241.32' );
function is_dev()
{
	global $arr_myip;
	if(defined('REMOTE_ADDR'))
	{
		return in_array(REMOTE_ADDR,$arr_myip);
	}
	return false;
}

// if mod rewrite works then define questy string
// $_SERVER['QUERY_STRING'] = $_SERVER['REQUEST_URI'];



$connections = array(		
						'master'	=>	array('DB_DSN'=>'mysql:dbname={DB_NAME};host={DB_HOST}',
											'DB_USER'=>'{DB_USER}',
											'DB_PASS'=>'{DB_PASS}')					
					);


// user ve blogbilgisi bu tabloda. diller tablosu blog tablosundaki dilsecenegine gore degisir.
define('MAIN_DB','master');
define('TABLE_PREFIX', '{TABLE_PREFIX}');

define('REQUEST_TIME',$_SERVER['REQUEST_TIME']);
define('REMOTE_ADDR',$_SERVER['REMOTE_ADDR']);

// if developer then 
if(is_dev())
{
	define('DEBUG', true);
	// turn error reporting on 
	error_reporting(E_ALL);
	ini_set('display_errors', '1');
}
else
{
	define('DEBUG', false);
}

// The full URL of your Frog CMS install
define('DOMAIN', dirname($_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']));
define('URL_PUBLIC', 'http://'.DOMAIN.'/');
define('URL_ASSETS', URL_PUBLIC.'public/');

// define cache and temp folders
define('TMP',FROG_ROOT.'/tmp/tmp');
define('CACHE_DIR',FROG_ROOT.'/tmp/cache');

// user image folders
define('UPLOAD_LIMIT',(102400*10));//1024000byte  -> 1024 KB
define('UPLOAD_ROOT',FROG_ROOT.'/user-content/uploads');
define('UPLOAD_URL',URL_PUBLIC.'user-content/uploads');
define("IMAGEMAGICK_PATH","/usr/bin/");



// The directory name of your Frog CMS administration (you will need to change it manualy)
//define('ADMIN_DIR', 'admin');

// Change this setting to enable mod_rewrite. Set to "true" to remove the "?" in the URL.
// To enable mod_rewrite, you must also change the name of "_.htaccess" in your
// Frog CMS root directory to ".htaccess"
define('USE_MOD_REWRITE', {USE_MOD_REWRITE});

// add a suffix to pages (simluating static pages '.html')
define('URL_SUFFIX', '.html');

// if your server doesn't have PDO (with MySQL driver) set the below to false
define('USE_PDO', {USE_PDO});

// Set the timezone of your choise
// go here for more information of the available timezone:
// http://php.net/timezones GMT
define('DEFAULT_TIMEZONE', 'GMT');


// set library path
$path = CORE_ROOT . '/libraries'; 
set_include_path(get_include_path() . PATH_SEPARATOR . $path);


// configuration 
//define('MAX_COMMENTS',100); // max number of comments
//define('COMMENTS_MODERATE',true); // admin or mod have to approve comment before it appears on front page 
