<?php echo $this->validation()->messages()?>
<h1><?=__('Upload wallpaper')?></h1>
<p><?=__('Uploaded wallpapers will be checked by moderators.')?></p>
<form action="" method="post" enctype="multipart/form-data">
  <table class="grid" width="400">
    <tr class="r1">
      <td><label for="name">Title *:</label>      </td>
      <td><input name="name" type="text" id="name" value="<?=View::escape($wallpaper->name)?>" size="40" />      </td>
    </tr>
    <tr class="r1">
      <td><label for="tags">Tags*:</label></td>
      <td><input name="tags" type="text" id="tags" value="<?=View::escape($wallpaper->tags)?>" size="40" />      </td>
    </tr>
    <tr class="r1">
      <td><label for="img">Wallpaper*:</label></td>
      <td><input type="file" name="img" id="img" />      </td>
    </tr>
    <tr>
      <td><label for="description">Description:</label></td>
      <td><input name="description" type="text" id="description" value="<?=View::escape($wallpaper->description)?>" size="40" />      </td>
    </tr>
    <?php 
    if($categories)
    {
    ?>
    <tr>
      <td><label for="categories">Categories:</label></td>
      <td>
      <?=Category::checkboxes($categories,$wallpaper)?>
      </td>
    </tr>
    <?php 
    }
    ?>
    <tr>
      <td><label for="artist">Artist:</label>      </td>
      <td><input name="artist" type="text" id="artist" value="<?=View::escape($wallpaper->artist)?>" size="40" />      </td>
    </tr>
    <tr>
      <td><label for="site">Website:</label></td>
      <td><input name="site" type="text" id="site" value="<?=View::escape($wallpaper->site)?>" size="40" />      </td>
    </tr>
    <tr>
      <td></td>
      <td><input type="submit" name="upload_wallpaper" id="upload_wallpaper" value="Submit" />
         &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="<?=get_url()?>" class="cancel">cancel</a>      </td>
    </tr>
  </table>
</form>